import Utils from "~/utils"

/**
* Bftsnd Check规则
*/
let checkObj = {
    "liaall.misamt"                      :null,
    "bfdgrp.blk.setinsbe"                      :null,
    "bfdgrp.iss.pts.nam"                      :null,
    "bfdgrp.oth.pts.extkey"                      :null,
    "bfdgrp.doc.pts.adrblk"                      :null,
    "skhnam"                      :null,
    "bfdgrp.blk.comcon"                      :null,
    "bfdgrp.prb.adrelc"                      :null,
    "bfdgrp.prb.pts.adrblk"                      :null,
    "liaall.limmod.limpts.oth.pts.nam"                      :null,
    "setmod.dspflg"                      :null,
    "bfdgrp.rec.anodat"                      :null,
    "bftp.msgtyp"                      :null,
    "bfdgrp.blk.intdis"                      :null,
    "liaall.limmod.limpts.wrk.pts.nam"                      :null,
    "bfdgrp.oth.pts.dizhii"                      :null,
    "idcode"                      :null,
    "bfdgrp.doc.adrelc"                      :null,
    "bftp.dedget.sdamod.dadsnd"                      :null,
    "bfdgrp.rec.disdat"                      :null,
    "bfdgrp.rec.matdat"                      :null,
    "liaall.limmod.wrkp.ptsget.sdamod.dadsnd"                      :null,
    "bfdgrp.apl.pts.nam"                      :null,
    "bfdsnd.usadet"                      :null,
    "bfdgrp.rec.rcvdat"                      :null,
    "bfdgrp.prb.namelc"                      :null,
    "skhhao"                      :null,
    "bfdgrp.prb.pts.extkey"                      :null,
    "liaall.limmod.limpts.oth.pts.extkey"                      :null,
    "liaall.limmod.ownref"                      :null,
    "bftp.furide"                      :null,
    "liaall.limmod.ecifno"                      :null,
    "bfdgrp.rec.anobnkcod"                      :null,
    "bfdgrp.blk.docdis"                      :null,
    "bftp.recget.sdamod.dadsnd"                      :null,
    "liaall.limmod.othp.ptsget.sdamod.dadsnd"                      :null,
    "bfdgrp.rec.invref"                      :null,
    "bfdgrp.rec.docrol"                      :null,
    "bfdgrp.prb.pts.nam"                      :null,
    "bfdgrp.rec.anodsp"                      :null,
    "bfdgrp.doc.pts.extkey"                      :null,
    "setmod.redamt"                      :null,
    "bfdgrp.oth.pts.jigomc"                      :null,
    "bftp.docp.ptsget.sdamod.dadsnd"                      :null,
    "bfdgrp.oth.pts.bankno"                      :null,
    "liaall.limmod.limpts.wrk.pts.extkey"                      :null,
    "bfdsnd.addphr"                      :null,
    "mtabut.coninf.conexedat"                      :null,
    "skracc"                      :null,
    "bfdgrp.rec.expmno"                      :null,
    "liaall.limmod.limpts.nonrevflg1"                      :null,
    "skrnam"                      :null,
    "bfdgrp.doc.namelc"                      :null,
    "bfdgrp.rec.predat"                      :null,
    "setmod.docamt"                      :null,
    "bfdgrp.blk.benref"                      :null,
    "bftp.prbp.ptsget.sdamod.dadsnd"                      :null,
}

for (const key in checkObj) {
    if (Object.hasOwnProperty.call(checkObj, key)) {
        checkObj[key] = checkObj[key] ? checkObj[key] : Utils.reflectCheck(key)
    }
}
export default checkObj

