import Api from "~/service/Api"
import Pts from "../Common/Pts"

export default class Cctdav {
	constructor() {
		this.data = {
			mtabut: {
				coninf: {
					oitset: {
						oit: {
							inftxt: "",
						},
					},
					oitinf: {
						oit: {
							inftxt: "",
							inflev: "",
						},
					},

					usr: {
						extkey: "",
					},

					conexedat: "",
				},
			},
			trnmod: {
				trndoc: {
					doceot: "",
				},
			},
			liaall: {
				liaallg: "",
			},
			setmod: {
				setglg: {
					setgll: "",
				},
				glemod: {
					gleshwstm: "",			//  Booking stream to Display		.setmod.glemod.gleshwstm
					setfol: "",
				},
				setfog: {
					setfol: "",
				},
				setfeg: {
					setfel: "",
				},
			},
			ccdgrp: {
				rec: {
					ownref: "",			//  Our Reference		.ccdgrp.rec.ownref
					nam: "",			//  Name of CC contract		.ccdgrp.rec.nam
					regref: "",			//  Register Ref.		.ccdgrp.rec.regref
					ccform: "",			//  Form of Clean Coll.		.ccdgrp.rec.ccform
					modset: "",			//  Mode of Collection		.ccdgrp.rec.modset
					purflg: "",			//  Payment Disposition 		.ccdgrp.rec.purflg
					tocsel: "",			//  Type of Check		.ccdgrp.rec.tocsel
					pretyp: "",			//  TYPE OF PRESENTER		.ccdgrp.rec.pretyp
					chcknum: "",			//  Check Number		.ccdgrp.rec.chcknum
					chkdat: "",			//  Date of Draft		.ccdgrp.rec.chkdat
				},
				cbs: {
					opn1: {
						cur: "",			//  Open Amount		.ccdgrp.cbs.opn1.cur
						amt: "",			//  Open Amount		.ccdgrp.cbs.opn1.amt
					},
					max: {
						cur: "",			//  Draft Amount		.ccdgrp.cbs.max.cur
						amt: "",			//  Draft Amount		.ccdgrp.cbs.max.amt
					},
				},
				cor: {
					pts: new Pts().data,
					namelc: "",			//  名称		.ccdgrp.cor.namelc
					adrelc: "",			//  地址		.ccdgrp.cor.adrelc
					dbfadrblkcn: "",			//  Chinese address		.ccdgrp.cor.dbfadrblkcn
				},
				pre: {
					pts: new Pts().data,
					namelc: "",			//  名称		.ccdgrp.pre.namelc
					adrelc: "",			//  地址		.ccdgrp.pre.adrelc
					dbfadrblkcn: "",			//  Chinese address		.ccdgrp.pre.dbfadrblkcn
				},
				dro: {
					pts: new Pts().data,
					namelc: "",			//  名称		.ccdgrp.dro.namelc
					adrelc: "",			//  地址		.ccdgrp.dro.adrelc
					dbfadrblkcn: "",			//  Chinese address		.ccdgrp.dro.dbfadrblkcn
				},
				col: {
					pts: new Pts().data,
					namelc: "",			//  名称		.ccdgrp.col.namelc
					adrelc: "",			//  地址		.ccdgrp.col.adrelc
					dbfadrblkcn: "",			//  Chinese address		.ccdgrp.col.dbfadrblkcn
				},
				orddat: "",			//  Date of Order		.ccdgrp.orddat
			},
			cctp: {
				recget: {
					sdamod: {
						seainf: "",			//  		.cctp.recget.sdamod.seainf
						dadsnd: "",			//  Drag  Drop Sender		.cctp.recget.sdamod.dadsnd
					},
				},
				corp: {
					ptsget: {
						sdamod: {
							seainf: "",			//  		.cctp.corp.ptsget.sdamod.seainf
							dadsnd: "",			//  Drag  Drop Sender		.cctp.corp.ptsget.sdamod.dadsnd
						},
					},
				},
				prep: {
					ptsget: {
						sdamod: {
							seainf: "",			//  		.cctp.prep.ptsget.sdamod.seainf
							dadsnd: "",			//  Drag  Drop Sender		.cctp.prep.ptsget.sdamod.dadsnd
						},
					},
				},
				drop: {
					ptsget: {
						sdamod: {
							seainf: "",			//  		.cctp.drop.ptsget.sdamod.seainf
							dadsnd: "",			//  Drag  Drop Sender		.cctp.drop.ptsget.sdamod.dadsnd
						},
					},
				},
				colp: {
					ptsget: {
						sdamod: {
							seainf: "",			//  		.cctp.colp.ptsget.sdamod.seainf
							dadsnd: "",			//  Drag  Drop Sender		.cctp.colp.ptsget.sdamod.dadsnd
						},
					},
				},
				usr: {
					extkey: "",			//  User ID		.cctp.usr.extkey
				},
				usrget: {
					sdamod: {
						seainf: "",			//  		.cctp.usrget.sdamod.seainf
					},
				},
			},
			pageId: ""			// ctx的key
		}
	}
}