import Utils from "~/utils"

/**
* Cctdcr Check规则
*/
let checkObj = {
    "liaall.misamt"                      :null,
    "ccdgrp.dro.pts.nam"                      :null,
    "trnmod.hvpmod.fkrdz5"                      :null,
    "trnmod.hvpmod.fkrdz4"                      :null,
    "trnmod.hvpmod.fkrdz3"                      :null,
    "trnmod.hvpmod.fkrdz2"                      :null,
    "trnmod.hvpmod.skrmc2"                      :null,
    "trnmod.hvpmod.skrmc3"                      :null,
    "trnmod.hvpmod.agnamedl"                      :null,
    "ccdgrp.pre.pts.nam"                      :null,
    "mtabut.coninf.conexedat"                      :null,
    "trnmod.hvpmod.fkrmc3"                      :null,
    "trnmod.hvpmod.fkrmc2"                      :null,
    "trnmod.hvpmod.fecomm"                      :null,
    "trnmod.hvpmod.feecod"                      :null,
    "cctp0.recget.sdamod.dadsnd"                      :null,
    "trnmod.hvpmod.skrdz4"                      :null,
    "trnmod.hvpmod.oribusnum"                      :null,
    "trnmod.hvpmod.skrdz5"                      :null,
    "trnmod.hvpmod.skrdz2"                      :null,
    "trnmod.hvpmod.skrdz3"                      :null,
    "mtabut.clsflg"                      :null,
}

for (const key in checkObj) {
    if (Object.hasOwnProperty.call(checkObj, key)) {
        checkObj[key] = checkObj[key] ? checkObj[key] : Utils.reflectCheck(key)
    }
}
export default checkObj

