import Api from "~/service/Api"
import Pts from "../Common/Pts"
import Pub from "../Public"
export default class Cltdav{
    constructor () {
        this.data = {
			liaall: new Pub().data.Liaall,
						cldgrp:{
							rec:{
								ownref:"",			//  Batch No.		.cldgrp.rec.ownref
								valdat:"",			//  Value Date		.cldgrp.rec.valdat
								credat:"",			//  Date of creation		.cldgrp.rec.credat
								colflg:"",			//  Payemnt Disposition		.cldgrp.rec.colflg
								regref:"",			//  Register Ref.		.cldgrp.rec.regref
								count:"",			//  ITEM COUNT		.cldgrp.rec.count
								colref:"",			//  COLL BANK REF		.cldgrp.rec.colref
								nam:"",			//  Name of CC contract		.cldgrp.rec.nam
								creact:"",			//  Credit to Account		.cldgrp.rec.creact
								acno:"",			//  A/C NO.		.cldgrp.rec.acno
							},
							col:{
								pts:new Pts().data,
							},
							blk:{
								setins:"",			//  Settlement Instructions		.cldgrp.blk.setins
							},
						},
						rowcntr:"",			//  Total Row Count		.rowcntr
						cur:"",			//  currency		.cur
						amount:"",			//  AMOUNT		.amount
						items:"",			//  Item Count		.items
						colbnk:"",			//  Collection Bank		.colbnk
						cltp:{
							colp:{
								ptsget:{
									sdamod:{
										dadsnd:"",			//  Drag  Drop Sender		.cltp.colp.ptsget.sdamod.dadsnd
										seainf:"",			//  		.cltp.colp.ptsget.sdamod.seainf
									},
								},
							},
						},
						colmet:"",			//  Collection Method		.colmet
						trnmod:{
							trndoc:{
								advlabel:"",			//  ADVLABEL		.trnmod.trndoc.advlabel
								amdnam:"",			//  AMDNAM		.trnmod.trndoc.amdnam
								advdoc:"",			//  国内证通知书		.trnmod.trndoc.advdoc
								advnam:"",			//  国内证落款		.trnmod.trndoc.advnam
								amdapl:"",			//  修改申请人名称		.trnmod.trndoc.amdapl
								doclbl:"",			//  Lable for CONDOCSTM		.trnmod.trndoc.doclbl
								doctrestm:"",			//  Document tree		.trnmod.trndoc.doctrestm
								shwinc:"",			//  Show Incoming Messages		.trnmod.trndoc.shwinc
								shwout:"",			//  Show Outgoing Messages		.trnmod.trndoc.shwout
								condocstm:"",			//  Connected Documents		.trnmod.trndoc.condocstm
								rcvatt:{
									seainf:"",			//  		.trnmod.trndoc.rcvatt.seainf
								},
								filrecv:"",			//  File Receiver		.trnmod.trndoc.filrecv
							},
						},
						mtabut:{
							coninf:{
								oitinf:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitinf.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitinf.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitinf.oit.inflev
									},
								},
								oitset:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitset.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitset.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitset.oit.inflev
									},
								},
								conexedat:"",			//  执行日期		.mtabut.coninf.conexedat
								usr:{
									extkey:"",			//  User ID		.mtabut.coninf.usr.extkey
								},
							},
						},
						setmod:{
							docamttyplab:"",			//  settled amount description as label		.setmod.docamttyplab
							retmsg:"",			//  Label showing Retry overflow condition		.setmod.retmsg
							ref:"",			//  our reference		.setmod.ref
							doccur:"",			//  document currency		.setmod.doccur
							docamt:"",			//  document amount		.setmod.docamt
							dspflg:"",			//  Type of settlement		.setmod.dspflg
							xreflg:"",			//  Recalculate Rates		.setmod.xreflg
							setglg:{
								labdspflg:"",			//  Label for Type of Settlement		.setmod.setglg.labdspflg
							},
							zmqacclab:"",			//  主�'�号LABEL		.setmod.zmqacclab
							zmqacc:"",			//  自�'�区主�'�号		.setmod.zmqacc
							setfog:{
								setfol:[]
							},
							setfeg:{
								setfel:[]
							},
							glemod:{
								gleshwstm: {}
							},
						 
						},
						modflg:"",			//  MODIFY		.modflg
						pageId: ""			// ctx的key
				}
    }
}