export default {
    "attp.recget.sdamod.dadsnd":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "cpdgrp.rec.ownref":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "attp.recget.sdamod.seainf":[
        {type: "string", required: false, message: "必输项"},
        {max: 3,message:"长度不能超过3"}
    ],

    "cpdgrp.rec.nam":[
        {type: "string", required: false, message: "必输项"},
        {max: 40,message:"长度不能超过40"}
    ],


    "cpdgrp.cbs.nom1.amt":[
        {type: "number", required: false, message: "必输项"},
        {max: 18,message:"整数位不能超过14位"},
        {pattern: /(^\d+$)|(^\.\d{1,3}$)|(^\d+\.\d{1,3}$)/, message: "小数位不能超过3位" }
    ],
    "cpdgrp.cbs.max.amt":[
        {type: "number", required: false, message: "必输项"},
        {max: 18,message:"整数位不能超过14位"},
        {pattern: /(^\d+$)|(^\.\d{1,3}$)|(^\d+\.\d{1,3}$)/, message: "小数位不能超过3位" }
    ],



    "cpdgrp.rec.prechkdat":[
        {type: "date", required: false, message: "输入正确的日期"}
    ],
    "attp.country":[
        {type: "string", required: false, message: "必输项"},
        {max: 3,message:"长度不能超过3"}
    ],





    "attp.opndat":[
        {type: "date", required: false, message: "输入正确的日期"}
    ],
    "cpdgrp.rec.valdat":[
        {type: "date", required: false, message: "输入正确的日期"}
    ],

    "cpdgrp.rec.othbch":[
        {type: "string", required: false, message: "必输项"},
        {max: 8,message:"长度不能超过8"}
    ],





    "attp.xnggbh":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "attp.sysno":[
        {type: "string", required: false, message: "必输项"},
        {max: 21,message:"长度不能超过21"}
    ],

    "attp.paycountcode":[
        {type: "string", required: false, message: "必输项"},
        {max: 3,message:"长度不能超过3"}
    ],

    "attp.orcnam":[
        {type: "string", required: true, message: "必输项"},
        {max: 65,message:"长度不能超过65"}
    ],
    "attp.resbchnam":[
        {type: "string", required: false, message: "必输项"},
        {max: 42,message:"长度不能超过42"}
    ],
    "attp.resbch":[
        {type: "string", required: false, message: "必输项"},
        {max: 11,message:"长度不能超过11"}
    ],
    "attp.orcadr":[
        {type: "string", required: true, message: "必输项"},
        {max: 65,message:"长度不能超过65"}
    ],

    "attp.pyenam":[
        {type: "string", required: true, message: "必输项"},
        {max: 65,message:"长度不能超过65"}
    ],
    "attp.sndbchnam":[
        {type: "string", required: false, message: "必输项"},
        {max: 42,message:"长度不能超过42"}
    ],
    "attp.sndbch":[
        {type: "string", required: false, message: "必输项"},
        {max: 11,message:"长度不能超过11"}
    ],

    "attp.pyeadr":[
        {type: "string", required: true, message: "必输项"},
        {max: 65,message:"长度不能超过65"}
    ],
    "cpdgrp.rec.orcact":[
        {type: "string", required: false, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "cpdgrp.rec.pyeact":[
        {type: "string", required: false, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "attp.orcp.ptsget.sdamod.dadsnd":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "attp.pyep.ptsget.sdamod.dadsnd":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "cpdgrp.orc.pts.extkey":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "attp.orcp.ptsget.sdamod.seainf":[
        {type: "string", required: false, message: "必输项"},
        {max: 3,message:"长度不能超过3"}
    ],

    "cpdgrp.pye.pts.extkey":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "attp.pyep.ptsget.sdamod.seainf":[
        {type: "string", required: false, message: "必输项"},
        {max: 3,message:"长度不能超过3"}
    ],

    "cpdgrp.orc.namelc":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "cpdgrp.pye.namelc":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "cpdgrp.orc.pts.adrblk":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "cpdgrp.orc.dbfadrblkcn":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "cpdgrp.pye.pts.adrblk":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过140"}
    ],
    "cpdgrp.pye.dbfadrblkcn":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "cpdgrp.orc.adrelc":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "cpdgrp.pye.adrelc":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "setmod.ref":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],


    "setmod.docamt":[
        {type: "number", required: false, message: "必输项"},
        {max: 18,message:"整数位不能超过14位"},
        {pattern: /(^\d+$)|(^\.\d{1,3}$)|(^\d+\.\d{1,3}$)/, message: "小数位不能超过3位" }
    ],




    "setmod.zmqacc":[
        {type: "string", required: false, message: "必输项"},
        {max: 20,message:"长度不能超过20"}
    ],



    "trnmod.trndoc.advnam":[
        {type: "string", required: false, message: "必输项"},
        {max: 50,message:"长度不能超过50"}
    ],
    "trnmod.trndoc.amdapl":[
        {type: "string", required: true, message: "必输项"},
        {max: 50,message:"长度不能超过50"}
    ],

    "trnmod.trndoc.advdoc":[
        {type: "string", required: false, message: "必输项"},
        {max: 1,message:"长度不能超过1"}
    ],

    "mtabut.coninf.oitinf.oit.inftxt":[
        {type: "string", required: true, message: "必输项"},
        {max: 60,message:"长度不能超过60"}
    ],


    "mtabut.coninf.oitset.oit.inftxt":[
        {type: "string", required: true, message: "必输项"},
        {max: 60,message:"长度不能超过60"}
    ],

    "mtabut.coninf.conexedat":[
        {type: "date", required: false, message: "输入正确的日期"}
    ],
    "mtabut.coninf.usr.extkey":[
        {type: "string", required: false, message: "必输项"},
        {max: 8,message:"长度不能超过8"}
    ],






}