import Api from "~/service/Api"
import Pts from "../Common/Pts"
import Pub from "../Public"

export default class Cptato{
    constructor () {
        this.data = {
						attp:{
							shktyp:"",			//  static text 收汇款对象		.attp.shktyp
							opndatlab:"",			//  日期标签		.attp.opndatlab
							xnglab:"",			//  相关参考号		.attp.xnglab
							recget:{
								sdamod:{
									seainf:"",			//  		.attp.recget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.attp.recget.sdamod.dadsnd
								},
							},
							sndlab:"",			//  SND Rol  Lable		.attp.sndlab
							pyep:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.attp.pyep.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.attp.pyep.ptsget.sdamod.dadsnd
									},
								},
							},
							resbch:"",			//  接收行BIC		.attp.resbch
							resbchnam:"",			//  接收行名称		.attp.resbchnam
							sndbchnam:"",			//  发报行名称		.attp.sndbchnam
							sndbch:"",			//  发报行BIC		.attp.sndbch
							orcp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.attp.orcp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.attp.orcp.ptsget.sdamod.dadsnd
									},
								},
							},
							orcadr:"",			//  汇款人地址		.attp.orcadr
							orcnam:"",			//  汇款人名称		.attp.orcnam
							pyenam:"",			//  收款人名称		.attp.pyenam
							pyeadr:"",			//  收款人地址		.attp.pyeadr
							payuil:"",			//  Uil Payment		.attp.payuil
							opndat:"",			//  起息日期		.attp.opndat
							bustyp:"",			//  业务种类		.attp.bustyp
							acctyp:"",			//  汇款人账户性质		.attp.acctyp
							swftyp:"",			//  报文类型		.attp.swftyp
							feetyp:"",			//  �'�用类型		.attp.feetyp
							sysno:"",			//  清算编号		.attp.sysno
							xnggbh:"",			//  相关参考号		.attp.xnggbh
							country:"",			//  付款人常驻国家/地区编码		.attp.country
							paycountcode:"",			//  收款人常驻国家/地区代码		.attp.paycountcode
						},
						cpdgrp:{
							rec:{
								ownref:"",			//  业务编号		.cpdgrp.rec.ownref
								nam:"",			//  Externally Displayed Name to Identify the Contract		.cpdgrp.rec.nam
								pyeact:"",			//  收款人帐号		.cpdgrp.rec.pyeact
								orcact:"",			//  汇款人帐号		.cpdgrp.rec.orcact
								trntyp:"",			//  汇款性�'�		.cpdgrp.rec.trntyp
								paytype:"",			//  汇款方式		.cpdgrp.rec.paytype
								gors:"",			//  收款对象		.cpdgrp.rec.gors
								clityp:"",			//  客户类型		.cpdgrp.rec.clityp
								othbch:"",			//  所属行		.cpdgrp.rec.othbch
								valdat:"",			//  Value Date		.cpdgrp.rec.valdat
								tsnflg:"",			//  同名划转标志		.cpdgrp.rec.tsnflg
								prechkdat:"",			//  PRECHKDAT		.cpdgrp.rec.prechkdat
								ischktyp:"",			//  是否需要核验		.cpdgrp.rec.ischktyp
							},
							pye:{
								pts:new Pts().data,
								namelc:"",			//  名称		.cpdgrp.pye.namelc
								adrelc:"",			//  地址		.cpdgrp.pye.adrelc
								dbfadrblkcn:"",			//  Chinese address		.cpdgrp.pye.dbfadrblkcn
							},
							orc:{
								pts:new Pts().data,
								namelc:"",			//  名称		.cpdgrp.orc.namelc
								adrelc:"",			//  地址		.cpdgrp.orc.adrelc
								dbfadrblkcn:"",			//  Chinese address		.cpdgrp.orc.dbfadrblkcn
							},
							cbs:{
								nom1:{
									cur:"",			//  汇款金额		.cpdgrp.cbs.nom1.cur
									amt:"",			//  汇款金额		.cpdgrp.cbs.nom1.amt
								},
								max:{
									cur:"",			//  汇款金额		.cpdgrp.cbs.max.cur
									amt:"",			//  汇款金额		.cpdgrp.cbs.max.amt
								},
							},
						},
						setmod: new Pub().data.Setmod,
						mtabut: new Pub().data.Mtabut,
						trnmod: new Pub().data.Trnmod,
						bopmod:{
							szflg:"",			//  申报类型		.bopmod.szflg
							basflg:"",			//  基础数据		.bopmod.basflg
							dclflg:"",			//  申报数据		.bopmod.dclflg
							vrfflg:"",			//  核销数据		.bopmod.vrfflg
							ownextkey:"",			//  地区机构号		.bopmod.ownextkey
							acttyp:"",			//  款项去向		.bopmod.acttyp
						},
						pageId: ""			// ctx的key
				}
    }
}