import Utils from "~/utils"

/**
* Ditdck Check规则
*/
let checkObj = {
    "liaall.misamt"                      :null,
    "liaall.limmod.limpts.oth.pts.extkey"                      :null,
    "didgrp.apl.pts.ref"                      :null,
    "bddgrp.rec.disdat"                      :null,
    "liaall.limmod.ownref"                      :null,
    "liaall.limmod.ecifno"                      :null,
    "bddgrp.skh.pts.jigomc"                      :null,
    "trnmod.swiadd.orimsgid"                      :null,
    "liaall.limmod.othp.ptsget.sdamod.dadsnd"                      :null,
    "bddgrp.rec.orddat"                      :null,
    "bddgrp.rec.docflg"                      :null,
    "trnmod.swiadd.orimsgtyp"                      :null,
    "bdtp.furide"                      :null,
    "bddgrp.blk.docdis"                      :null,
    "setmod.dspflg"                      :null,
    "bddgrp.cbs.max.amt"                      :null,
    "bddgrp.prb.pts.ref"                      :null,
    "bddgrp.rec.ownref"                      :null,
    "bddgrp.prb.pts.extkey"                      :null,
    "bddgrp.rec.expdat"                      :null,
    "bddgrp.shp.namelc"                      :null,
    "liaall.liaccv.totcovamt"                      :null,
    "trnmod.trndia.diarec.nam"                      :null,
    "bddgrp.rec.rcvdat"                      :null,
    "trnmod.trndia.diarec.cod"                      :null,
    "bddgrp.shp.pts.adrblk"                      :null,
    "liaall.limmod.limpts.wrk.pts.extkey"                      :null,
    "trnmod.trndia.atpget.sdamod.dadsnd"                      :null,
    "bddgrp.blk.comcon"                      :null,
    "bddgrp.prb.pts.bankno"                      :null,
    "bddgrp.rec.reltyp"                      :null,
    "bddgrp.rec.predat"                      :null,
    "bdtp.shpp.ptsget.sdamod.dadsnd"                      :null,
    "mtabut.coninf.conexedat"                      :null,
    "trnmod.trndia.diarec.dat"                      :null,
    "bdtp.recget.sdamod.dadsnd"                      :null,
    "bddgrp.skh.pts.bankno"                      :null,
    "liaall.limmod.limpts.nonrevflg1"                      :null,
    "bddgrp.shp.adrelc"                      :null,
    "bddgrp.rec.matdat"                      :null,
    "liaall.limmod.wrkp.ptsget.sdamod.dadsnd"                      :null,
    "trnmod.swiadd.oriinstgagt"                      :null,
    "setmod.docamt"                      :null,
    "liaall.liaccv.cshpct"                      :null,
    "bddgrp.rec.invtyp"                      :null,
    "bdtp.didget.sdamod.dadsnd"                      :null,
    "bddgrp.blk.relstoadr"                      :null,
    "bddgrp.shp.pts.extkey"                      :null,
    "liaall.liaccv.relcshpct"                      :null,
    "bddgrp.rec.docprbrol"                      :null,
}

for (const key in checkObj) {
    if (Object.hasOwnProperty.call(checkObj, key)) {
        checkObj[key] = checkObj[key] ? checkObj[key] : Utils.reflectCheck(key)
    }
}
export default checkObj

