import Api from "~/service/Api"
import Pts from "../Common/Pts"

export default class Inffec{
    constructor () {
        this.data = {
						typlab:"",			//  Label for type of condition		.typlab
						namlab:"",			//  Label for name of condition		.namlab
						selfee:{
							cod:"",			//  Fee Code		.selfee.cod
						},
						feecod:"",			//  Fee Text		.feecod
						feepri:"",			//  Type of condition		.feepri
						selreg:{
							cod:"",			//  Code		.selreg.cod
						},
						regcod:"",			//  Region Code		.regcod
						selcty:{
							cod:"",			//  Country Code		.selcty.cod
						},
						ctycod:"",			//  Country Code		.ctycod
						selpty:{
							extkey:"",			//  Address Number		.selpty.extkey
							nam:"",			//  External Visible Name		.selpty.nam
						},
						selety:{
							extkey:"",			//  Entity ID		.selety.extkey
							nam:"",			//  Name of the Entity		.selety.nam
						},
						infbut:{
							dspstm:"",			//  display stream		.infbut.dspstm
						},
						feeget:{
							sdamod:{
								dadsnd:"",			//  Drag  Drop Sender		.feeget.sdamod.dadsnd
							},
						},
						ptyget:{
							sdamod:{
								dadsnd:"",			//  Drag  Drop Sender		.ptyget.sdamod.dadsnd
							},
						},
						etyget:{
							sdamod:{
								dadsnd:"",			//  Drag  Drop Sender		.etyget.sdamod.dadsnd
							},
						},
						buscod:"",			//  Sector Code		.buscod
						recpan:{
							scalab:"",			//  Label for several conditions		.recpan.scalab
							namlab:"",			//  Label for name of condition		.recpan.namlab
							typlab:"",			//  Label for type of condition		.recpan.typlab
							fee:{
								cod:"",			//  Fee Code		.recpan.fee.cod
							},
							feeget:{
								sdamod:{
									seainf:"",			//  		.recpan.feeget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.recpan.feeget.sdamod.dadsnd
								},
							},
							feecod:"",			//  Fee Text		.recpan.feecod
							recget:{
								sdamod:{
									seainf:"",			//  		.recpan.recget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.recpan.recget.sdamod.dadsnd
								},
							},
							pty:{
								extkey:"",			//  Address Number		.recpan.pty.extkey
								nam:"",			//  External Visible Name		.recpan.pty.nam
							},
							ptyget:{
								sdamod:{
									seainf:"",			//  		.recpan.ptyget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.recpan.ptyget.sdamod.dadsnd
								},
							},
							cty:{
								cod:"",			//  Country Code		.recpan.cty.cod
							},
							ctycod:"",			//  Country Code		.recpan.ctycod
							reg:{
								cod:"",			//  Code		.recpan.reg.cod
							},
							regcod:"",			//  Region Code		.recpan.regcod
							buscod:"",			//  Bus.Sector Code		.recpan.buscod
							ety:{
								extkey:"",			//  Entity ID		.recpan.ety.extkey
								nam:"",			//  Name of the Entity		.recpan.ety.nam
							},
							etyget:{
								sdamod:{
									seainf:"",			//  		.recpan.etyget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.recpan.etyget.sdamod.dadsnd
								},
							},
							calpan:{
								calrullbl:"",			//  Infotext for calculation rule		.recpan.calpan.calrullbl
								jnwshx:"",			//  JNWSHX		.recpan.calpan.jnwshx
								taxrat:"",			//  taxrate		.recpan.calpan.taxrat
								custyp:"",			//  Customer_type		.recpan.calpan.custyp
							},
							fecinf:{
								labinftxt:"",			//  Label for INFTXT		.recpan.fecinf.labinftxt
								oit:{
									inftxt:"",			//  Infotext		.recpan.fecinf.oit.inftxt
									inflev:"",			//  Infotext Level		.recpan.fecinf.oit.inflev
								},
							},
						},
						rec:{
							feepri:"",			//  Type of Condition		.rec.feepri
							lowamt:"",			//  Low Amount Incl.		.rec.lowamt
							higamt:"",			//  High Amount Excl.		.rec.higamt
							begdat:"",			//  Begin Date Incl.		.rec.begdat
							enddat:"",			//  Date		.rec.enddat
							calrul:"",			//  Calculation Rule		.rec.calrul
							calfcc:"",			//  Calculation Code		.rec.calfcc
							setchgflg:"",			//  Flag, if Amount Can or Must be Changed		.rec.setchgflg
							colltr:"",			//  Disposition Defaulting		.rec.colltr
							ratcal:"",			//  Rate Calculation		.rec.ratcal
							mincur:"",			//  Minimum Currency		.rec.mincur
							minamt:"",			//  Minimum		.rec.minamt
							minfcc:"",			//  Minimum Code		.rec.minfcc
							maxcur:"",			//  Maximum Currency		.rec.maxcur
							maxamt:"",			//  Maximum		.rec.maxamt
							maxfcc:"",			//  Maximum Code		.rec.maxfcc
							minamttot:"",			//  Minimum tot.		.rec.minamttot
							amtsetall:"",			//  Min. in Adv.		.rec.amtsetall
							calcbs:"",			//  Calculation Base		.rec.calcbs
							settyp:"",			//  Type of Settlement		.rec.settyp
							pertyp:"",			//  Period Type		.rec.pertyp
							setperflg:"",			//  Settl. Period		.rec.setperflg
							ratirs:"",			//  Reference Rate		.rec.ratirs
							ratirsinc:"",			//  Rate Type for Increase/Decrease		.rec.ratirsinc
							tirtyp:"",			//  Type of Tiers		.rec.tirtyp
							amtbegtr2:"",			//  Start Amount Tier 2		.rec.amtbegtr2
							amtrattr2:"",			//  Rate by Amount Tier 2		.rec.amtrattr2
							amtbegtr3:"",			//  Start Amount Tier 3		.rec.amtbegtr3
							amtrattr3:"",			//  Rate by Amount Tier 3		.rec.amtrattr3
							perbegtr2:"",			//  Start Period Tier 2		.rec.perbegtr2
							perrattr2:"",			//  从区间		.rec.perrattr2
							perbegtr3:"",			//  Start Period Tier 3		.rec.perbegtr3
							perrattr3:"",			//  从区间		.rec.perrattr3
							pertypprv:"",			//  最小值		.rec.pertypprv
							minpercnt:"",			//  Minimum Period Count		.rec.minpercnt
							maxpercnt:"",			//  Maximum Period Count		.rec.maxpercnt
							maxpercov:"",			//  Maximum Periods Covered by Condition		.rec.maxpercov
							basamt:"",			//  Base Amount		.rec.basamt
							permintr2:"",			//  Periods (0-complete period)		.rec.permintr2
							permaxtr2:"",			//  Maximum for Period Tier 2		.rec.permaxtr2
							permintr3:"",			//  Periods (0-complete period)		.rec.permintr3
							permaxtr3:"",			//  Maximum for Period Tier 3		.rec.permaxtr3
							perbegtr4:"",			//  Start Period Tier 4		.rec.perbegtr4
							perrattr4:"",			//  从区间		.rec.perrattr4
							permintr4:"",			//  Periods (if restricted)		.rec.permintr4
							permaxtr4:"",			//  Maximum for Period Tier 4		.rec.permaxtr4
							perbegtr5:"",			//  Start Period Tier 5		.rec.perbegtr5
							perrattr5:"",			//  从区间		.rec.perrattr5
							permintr5:"",			//  Minimum for Period Tier 5		.rec.permintr5
							permaxtr5:"",			//  Maximum for Period Tier 5		.rec.permaxtr5
							perbegtr6:"",			//  Start Period Tier 6		.rec.perbegtr6
							perrattr6:"",			//  Rate Tier 6		.rec.perrattr6
							permintr6:"",			//  Minimum for Period Tier 6		.rec.permintr6
							permaxtr6:"",			//  Maximum for Period Tier 6		.rec.permaxtr6
							perbegtr7:"",			//  Start Period Tier 7		.rec.perbegtr7
							perrattr7:"",			//  Rate Tier 7		.rec.perrattr7
							permintr7:"",			//  Minimum for Period Tier 7		.rec.permintr7
							permaxtr7:"",			//  Maximum for Period Tier 7		.rec.permaxtr7
							permin:"",			//  Minimum Periods		.rec.permin
							amtflg:"",			//  Amount Flag		.rec.amtflg
							ratcur:"",			//  Rate Currency		.rec.ratcur
							untamt:"",			//  Amount per Unit		.rec.untamt
							ratfcc:"",			//  Rate Code		.rec.ratfcc
						},
						pageId: ""			// ctx的key
				}
    }
}