import Api from "~/service/Api"
export default {
    async onInfbutSearow() {
        let rtnmsg = await this.executeRule("infbut.searow")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑
            this.model.infbut.dspstm = rtnmsg.data.infbut_dspstm
        }
        else {
            this.$notify.error({ title: '错误', message: '服务请求失败！' });
        }
    },
    async onInfbutDsp() {
        let rtnmsg = await this.executeRule("infbut.dsp")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑
            this.updateModel(rtnmsg.data);
            this.tabVal = "ptap0"
        }
        else {
            this.$notify.error({ title: '错误', message: '服务请求失败！' });
        }
    },
    async onInfbutUserow() {
        let rtnmsg = await this.executeRule("infbut.userow")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        }
        else {
            this.$notify.error({ title: '错误', message: '服务请求失败！' });
        }
    },
    async onInfbutClr() {
        let rtnmsg = await this.executeRule("infbut.clr")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        }
        else {
            this.$notify.error({ title: '错误', message: '服务请求失败！' });
        }
    },
    async onInfbutButprt() {
        let rtnmsg = await this.executeRule("infbut.butprt")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        }
        else {
            this.$notify.error({ title: '错误', message: '服务请求失败！' });
        }
    },
    async onInfbutExi() {
        let rtnmsg = await this.executeRule("infbut.exi")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        }
        else {
            this.$notify.error({ title: '错误', message: '服务请求失败！' });
        }
    },
    async onRecpanLnkinfptm() {
        let rtnmsg = await this.executeRule("recpan.lnkinfptm")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        }
        else {
            this.$notify.error({ title: '错误', message: '服务请求失败！' });
        }
    },

}