import Utils from "~/utils"

/**
* Trtopn Check规则
*/
let checkObj = {
    "trdgrp.rec.stttendat"                      :null,
    "trtmod.finmod.dinmod.shpjgh"                      :null,
    "trdgrp.rec.actrat"                      :null,
    "cfatrt.cfaflg"                      :null,
    "trdgrp.rec.invtyp"                      :null,
    "trtp.usr.extkey"                      :null,
    "trdgrp.rec.recaccount"                      :null,
    "trtmod.finmod.act1"                      :null,
    "trtmod.finmod.act3"                      :null,
    "trdgrp.rec.guaflg"                      :null,
    "setmod.dspflg"                      :null,
    "trtp.recget.sdamod.dadsnd"                      :null,
    "cfatrt.ownextkey"                      :null,
    "trtmod.finmod.dinjdm"                      :null,
    "trtmod.finmod.ratchgtyp"                      :null,
    "trdgrp.rec.oppacc"                      :null,
    "trdgrp.rec.stagod"                      :null,
    "trdgrp.rec.recdistrictcode"                      :null,
    "trtmod.finmod.ratchgprd"                      :null,
    "cfatrt.cda.useofunds"                      :null,
    "trtmod.finmod.intact"                      :null,
    "letp0.recget.sdamod.dadsnd"                      :null,
    "trdgrp.rec.trntyp"                      :null,
    "trtmod.finmod.intamt"                      :null,
    "cfatrt.cda.cfeogudamount"                      :null,
    "trtmod.finmod.dinmod.hxkhdm"                      :null,
    "trtmod.finmod.fltval"                      :null,
    "trtp.fipp.ptsget.sdamod.dadsnd"                      :null,
    "trdgrp.fip.pts.extkey"                      :null,
    "trtp.ledget.sdamod.dadsnd"                      :null,
    "cfadft.ownextkey"                      :null,
    "trdgrp.fip.namelc"                      :null,
    "trtp.recname"                      :null,
    "trdgrp.rec.pctfin"                      :null,
    "trtmod.finmod.ovdintrat"                      :null,
    "trdgrp.rec.issdat"                      :null,
    "trtp.bedget.sdamod.dadsnd"                      :null,
    "trtmod.finmod.ratchgdat"                      :null,
    "trdgrp.rec.flowflag"                      :null,
    "trtmod.finmod.flttyp"                      :null,
    "trtmod.finmod.dinmod.chapdm"                      :null,
    "trdgrp.rec.nam"                      :null,
    "trtp.brdget.sdamod.dadsnd"                      :null,
    "trdgrp.rec.reccountrycode"                      :null,
    "cfadft.cfaflg"                      :null,
    "trtmod.finmod.dinmod.rmbsbs"                      :null,
    "trtp.btdget.sdamod.dadsnd"                      :null,
    "trtmod.finmod.inttyp"                      :null,
    "trdgrp.cbs.max.amt"                      :null,
    "trdgrp.rec.lprtyp"                      :null,
    "trtmod.finmod.dinmod.ockhdm"                      :null,
    "trtp.bcdget.sdamod.dadsnd"                      :null,
    "trdgrp.fip.pts.adrblk"                      :null,
    "trdgrp.fip.adrelc"                      :null,
    "trdgrp.fip.pts.ref"                      :null,
    "trtmod.finmod.ovdinttyp"                      :null,
    "trdgrp.cbs.max.cur"                      :null,
    "trdgrp.rec.mycontno"                      :null,
    "trtmod.finmod.dinmod.shpijg"                      :null,
    "cfatrt.cda.cfeogudcurr"                      :null,
    "setmod.docamt"                      :null,
    "trdgrp.rec.matdat"                      :null,
    "trtp.act"                      :null,
    "trtmod.finmod.intdat"                      :null,
    "trdgrp.rec.tenday"                      :null,
}

for (const key in checkObj) {
    if (Object.hasOwnProperty.call(checkObj, key)) {
        checkObj[key] = checkObj[key] ? checkObj[key] : Utils.reflectCheck(key)
    }
}
export default checkObj

