import Api from "~/service/Api"
import Pts from "../Common/Pts"

export default class Bptcan{
    constructor () {
        this.data = {
						strinf:"",			//  描述		.strinf
						bpdgrp:{
							rec:{
								pntref:"",			//  参考号		.bpdgrp.rec.pntref
								pntnam:"",			//  摘要		.bpdgrp.rec.pntnam
								ownref:"",			//  融资参考号		.bpdgrp.rec.ownref
								nam:"",			//  摘要		.bpdgrp.rec.nam
								fintyp:"",			//  融资类型		.bpdgrp.rec.fintyp
								intrat:"",			//  基准利率		.bpdgrp.rec.intrat
							},
							cbs:{
								max:{
									cur:"",			//  融资金额		.bpdgrp.cbs.max.cur
									amt:"",			//  融资金额		.bpdgrp.cbs.max.amt
								},
								opn1:{
									cur:"",			//  押汇余额		.bpdgrp.cbs.opn1.cur
									amt:"",			//  押汇余额		.bpdgrp.cbs.opn1.amt
								},
							},
							fia:{
								pts:new Pts().data,
								namelc:"",			//  名称		.bpdgrp.fia.namelc
								adrelc:"",			//  地址		.bpdgrp.fia.adrelc
								dbfadrblkcn:"",			//  Chinese address		.bpdgrp.fia.dbfadrblkcn
							},
						},
						bptp0:{
							bodget:{
								sdamod:{
									seainf:"",			//  		.bptp0.bodget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.bptp0.bodget.sdamod.dadsnd
								},
							},
							bedget:{
								sdamod:{
									seainf:"",			//  		.bptp0.bedget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.bptp0.bedget.sdamod.dadsnd
								},
							},
							brdget:{
								sdamod:{
									seainf:"",			//  		.bptp0.brdget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.bptp0.brdget.sdamod.dadsnd
								},
							},
							btdget:{
								sdamod:{
									seainf:"",			//  		.bptp0.btdget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.bptp0.btdget.sdamod.dadsnd
								},
							},
							recget:{
								sdamod:{
									dadsnd:"",			//  Drag  Drop Sender		.bptp0.recget.sdamod.dadsnd
									seainf:"",			//  		.bptp0.recget.sdamod.seainf
								},
							},
							fiap:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.bptp0.fiap.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.bptp0.fiap.ptsget.sdamod.dadsnd
									},
								},
							},
						},
						sndmsg:"",			//  Send Message		.sndmsg
						setmod:{
							docamttyplab:"",			//  settled amount description as label		.setmod.docamttyplab
							retmsg:"",			//  Label showing Retry overflow condition		.setmod.retmsg
							ref:"",			//  our reference		.setmod.ref
							doccur:"",			//  document currency		.setmod.doccur
							docamt:"",			//  document amount		.setmod.docamt
							dspflg:"",			//  Type of settlement		.setmod.dspflg
							xreflg:"",			//  Recalculate Rates		.setmod.xreflg
							setglg:{
								labdspflg:"",			//  Label for Type of Settlement		.setmod.setglg.labdspflg
							},
							zmqacclab:"",			//  主�'�号LABEL		.setmod.zmqacclab
							zmqacc:"",			//  自�'�区主�'�号		.setmod.zmqacc
						},
						mtabut:{
							coninf:{
								oitinf:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitinf.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitinf.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitinf.oit.inflev
									},
								},
								oitset:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitset.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitset.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitset.oit.inflev
									},
								},
								conexedat:"",			//  执行日期		.mtabut.coninf.conexedat
								usr:{
									extkey:"",			//  User ID		.mtabut.coninf.usr.extkey
								},
								contag72his:"",			//  Historic content of TAG 72		.mtabut.coninf.contag72his
								contag72:"",			//  Current content of TAG 72		.mtabut.coninf.contag72
								contag79his:"",			//  Historic content of TAG 79		.mtabut.coninf.contag79his
								contag79:"",			//  Current content of TAG 79		.mtabut.coninf.contag79
							},
						},
						trnmod:{
							trndoc:{
								advlabel:"",			//  ADVLABEL		.trnmod.trndoc.advlabel
								amdnam:"",			//  AMDNAM		.trnmod.trndoc.amdnam
								advdoc:"",			//  国内证通知书		.trnmod.trndoc.advdoc
								advnam:"",			//  国内证落款		.trnmod.trndoc.advnam
								amdapl:"",			//  修改申请人名称		.trnmod.trndoc.amdapl
								doclbl:"",			//  Lable for CONDOCSTM		.trnmod.trndoc.doclbl
								doctrestm:"",			//  Document tree		.trnmod.trndoc.doctrestm
								shwinc:"",			//  Show Incoming Messages		.trnmod.trndoc.shwinc
								shwout:"",			//  Show Outgoing Messages		.trnmod.trndoc.shwout
								condocstm:"",			//  Connected Documents		.trnmod.trndoc.condocstm
								rcvatt:{
									seainf:"",			//  		.trnmod.trndoc.rcvatt.seainf
								},
								filrecv:"",			//  File Receiver		.trnmod.trndoc.filrecv
								dtemod:{
									dtetagm06:"",			//  Information about Confirmation Instruction		.trnmod.trndoc.dtemod.dtetagm06
									dtetagm07:"",			//  Notes from Advising Bank		.trnmod.trndoc.dtemod.dtetagm07
									dtetagm08:"",			//  Fee of Advising Bank		.trnmod.trndoc.dtemod.dtetagm08
									dtetagm53typ:"",			//  Document Sending Type		.trnmod.trndoc.dtemod.dtetagm53typ
									dtetagm53nam:"",			//  Courier Name		.trnmod.trndoc.dtemod.dtetagm53nam
									dtetagm53num:"",			//  Courier Number		.trnmod.trndoc.dtemod.dtetagm53num
								},
							},
							cipmod:{
								dddbsh:"",			//  端到端标识号		.trnmod.cipmod.dddbsh
								zjg1hh:"",			//  中介机构1行号		.trnmod.cipmod.zjg1hh
								zjg1mc:"",			//  中介机构1名称		.trnmod.cipmod.zjg1mc
								zjg2hh:"",			//  中介机构2行号		.trnmod.cipmod.zjg2hh
								zjg2mc:"",			//  中介机构2名称		.trnmod.cipmod.zjg2mc
								dafnzh:"",			//  借记记账账号		.trnmod.cipmod.dafnzh
								dafnmc:"",			//  借记记账名称		.trnmod.cipmod.dafnmc
								recsehbch:"",			//  收款间接参与者行号		.trnmod.cipmod.recsehbch
								staonebch:"",			//  付款直接参与者行号		.trnmod.cipmod.staonebch
								recsehbchnam:"",			//  收款间接参与者名称		.trnmod.cipmod.recsehbchnam
								staonebchnam:"",			//  付款直接参与者名称		.trnmod.cipmod.staonebchnam
								fuynh2:"",			//  附言2		.trnmod.cipmod.fuynh2
								fuynh3:"",			//  附言3		.trnmod.cipmod.fuynh3
								fuynh4:"",			//  附言4		.trnmod.cipmod.fuynh4
								skrdz2:"",			//  收款人地址2		.trnmod.cipmod.skrdz2
								skrdz3:"",			//  收款人地址3		.trnmod.cipmod.skrdz3
								skrdz4:"",			//  收款人地址4		.trnmod.cipmod.skrdz4
								skrdz5:"",			//  收款人地址5		.trnmod.cipmod.skrdz5
								fkrdz2:"",			//  付款人地址2		.trnmod.cipmod.fkrdz2
								fkrdz3:"",			//  付款人地址3		.trnmod.cipmod.fkrdz3
								fkrdz4:"",			//  付款人地址4		.trnmod.cipmod.fkrdz4
								fkrdz5:"",			//  付款人地址5		.trnmod.cipmod.fkrdz5
								pyebchkey:"",			//  收款行开户行行号		.trnmod.cipmod.pyebchkey
								pyebchnam:"",			//  收款行开户行名称		.trnmod.cipmod.pyebchnam
								stasehbch:"",			//  付款间接参与者行号		.trnmod.cipmod.stasehbch
								stasehbchnam:"",			//  付款间接参与者名称		.trnmod.cipmod.stasehbchnam
								fkrdz6:"",			//  付款人地址6		.trnmod.cipmod.fkrdz6
								fkrdz7:"",			//  付款人地址7		.trnmod.cipmod.fkrdz7
								skrdz6:"",			//  收款人地址6		.trnmod.cipmod.skrdz6
								skrdz7:"",			//  收款人地址7		.trnmod.cipmod.skrdz7
								covflg:"",			//  112COV		.trnmod.cipmod.covflg
								fufeih:"",			//  付费行号1		.trnmod.cipmod.fufeih
								ffeih2:"",			//  付费行号2		.trnmod.cipmod.ffeih2
								fkrkhh:"",			//  付款行开户行行号		.trnmod.cipmod.fkrkhh
								fukrhm:"",			//  付款行开户行名称		.trnmod.cipmod.fukrhm
								feecod:"",			//  费用承担方		.trnmod.cipmod.feecod
								feiyon:"",			//  费用1		.trnmod.cipmod.feiyon
								feiyn2:"",			//  费用2		.trnmod.cipmod.feiyn2
								fuyns1:"",			//  致收款人银行附言1		.trnmod.cipmod.fuyns1
								fuyns2:"",			//  致收款人银行附言2		.trnmod.cipmod.fuyns2
								fuyns3:"",			//  致收款人银行附言3		.trnmod.cipmod.fuyns3
								fuyns4:"",			//  致收款人银行附言4		.trnmod.cipmod.fuyns4
								fyo1bz:"",			//  费用1币种		.trnmod.cipmod.fyo1bz
								fyo2bz:"",			//  费用2币种		.trnmod.cipmod.fyo2bz
								fkhkhh:"",			//  付款行行号		.trnmod.cipmod.fkhkhh
								fkkhmc:"",			//  付款行行名		.trnmod.cipmod.fkkhmc
								fkkhzh:"",			//  付款行账号		.trnmod.cipmod.fkkhzh
								fkhdzh:"",			//  付款行地址		.trnmod.cipmod.fkhdzh
								skkhhh:"",			//  收款行行号		.trnmod.cipmod.skkhhh
								skkhhm:"",			//  收款行行名		.trnmod.cipmod.skkhhm
								skkhzh:"",			//  收款行账号		.trnmod.cipmod.skkhzh
								skkhdz:"",			//  收款行地址		.trnmod.cipmod.skkhdz
								ddbhao:"",			//  订单编号		.trnmod.cipmod.ddbhao
								ddmisu:"",			//  订单描述		.trnmod.cipmod.ddmisu
								fkrzhj:"",			//  付款人组织机构代码		.trnmod.cipmod.fkrzhj
								fkrzjh:"",			//  付款人证件号码		.trnmod.cipmod.fkrzjh
								fkrzgj:"",			//  付款人常驻国家（地区）代码		.trnmod.cipmod.fkrzgj
								fkreid:"",			//  付款人EID		.trnmod.cipmod.fkreid
								fkfyzh:"",			//  付款非银行支付机构帐号		.trnmod.cipmod.fkfyzh
								fkfdz1:"",			//  付款非银行支付机构地址1		.trnmod.cipmod.fkfdz1
								fkfdz2:"",			//  付款非银行支付机构地址2		.trnmod.cipmod.fkfdz2
								fkfdz3:"",			//  付款非银行支付机构地址3		.trnmod.cipmod.fkfdz3
								fkfdz4:"",			//  付款非银行支付机构地址4		.trnmod.cipmod.fkfdz4
								fkfdz5:"",			//  付款非银行支付机构地址5		.trnmod.cipmod.fkfdz5
								fkfdz6:"",			//  付款非银行支付机构地址6		.trnmod.cipmod.fkfdz6
								fkfdz7:"",			//  付款非银行支付机构地址7		.trnmod.cipmod.fkfdz7
								skrzhj:"",			//  收款人组织机构代码		.trnmod.cipmod.skrzhj
								skrzjh:"",			//  收款人证件号码		.trnmod.cipmod.skrzjh
								skrzgj:"",			//  收款人常驻国家（地区）代码		.trnmod.cipmod.skrzgj
								skreid:"",			//  收款人EID		.trnmod.cipmod.skreid
								skfyzh:"",			//  收款非银行支付机构帐号		.trnmod.cipmod.skfyzh
								skfdz1:"",			//  收款非银行支付机构地址1		.trnmod.cipmod.skfdz1
								skfdz2:"",			//  收款非银行支付机构地址2		.trnmod.cipmod.skfdz2
								skfdz3:"",			//  收款非银行支付机构地址3		.trnmod.cipmod.skfdz3
								skfdz4:"",			//  收款非银行支付机构地址4		.trnmod.cipmod.skfdz4
								skfdz5:"",			//  收款非银行支付机构地址5		.trnmod.cipmod.skfdz5
								skfdz6:"",			//  收款非银行支付机构地址6		.trnmod.cipmod.skfdz6
								skfdz7:"",			//  收款非银行支付机构地址7		.trnmod.cipmod.skfdz7
								ddmsu1:"",			//  订单描述1		.trnmod.cipmod.ddmsu1
								ddmsu2:"",			//  订单描述2		.trnmod.cipmod.ddmsu2
								ddmsu3:"",			//  订单描述3		.trnmod.cipmod.ddmsu3
								ddmsu4:"",			//  订单描述4		.trnmod.cipmod.ddmsu4
								ddmsu5:"",			//  订单描述5		.trnmod.cipmod.ddmsu5
								ddmsu6:"",			//  订单描述6		.trnmod.cipmod.ddmsu6
								ddmsu7:"",			//  订单描述7		.trnmod.cipmod.ddmsu7
								ddmsu8:"",			//  订单描述8		.trnmod.cipmod.ddmsu8
								skrzjl:"",			//  收款人证件类型		.trnmod.cipmod.skrzjl
								fkrzjl:"",			//  付款人证件类型		.trnmod.cipmod.fkrzjl
								cfkfzh:"",			//  COV付款非银行支付机构帐号		.trnmod.cipmod.cfkfzh
								cffdz1:"",			//  COV付款非银行支付机构地址1		.trnmod.cipmod.cffdz1
								cffdz2:"",			//  COV付款非银行支付机构地址2		.trnmod.cipmod.cffdz2
								cffdz3:"",			//  COV付款非银行支付机构地址3		.trnmod.cipmod.cffdz3
								cffdz4:"",			//  COV付款非银行支付机构地址4		.trnmod.cipmod.cffdz4
								cffdz5:"",			//  COV付款非银行支付机构地址5		.trnmod.cipmod.cffdz5
								cffdz6:"",			//  COV付款非银行支付机构地址6		.trnmod.cipmod.cffdz6
								cffdz7:"",			//  COV付款非银行支付机构地址7		.trnmod.cipmod.cffdz7
								cfkrzj:"",			//  COV付款人组织机构代码		.trnmod.cipmod.cfkrzj
								cfkzjh:"",			//  COV付款人证件号码		.trnmod.cipmod.cfkzjh
								cfkrgj:"",			//  COV付款人常驻国家（地区）代码		.trnmod.cipmod.cfkrgj
								cfkeid:"",			//  COV付款人EID		.trnmod.cipmod.cfkeid
								cskfzh:"",			//  COV收款非银行支付机构帐号		.trnmod.cipmod.cskfzh
								csfdz1:"",			//  COV收款非银行支付机构地址1		.trnmod.cipmod.csfdz1
								csfdz2:"",			//  COV收款非银行支付机构地址2		.trnmod.cipmod.csfdz2
								csfdz3:"",			//  COV收款非银行支付机构地址3		.trnmod.cipmod.csfdz3
								csfdz4:"",			//  COV收款非银行支付机构地址4		.trnmod.cipmod.csfdz4
								csfdz6:"",			//  COV收款非银行支付机构地址6		.trnmod.cipmod.csfdz6
								csfdz7:"",			//  COV收款非银行支付机构地址7		.trnmod.cipmod.csfdz7
								cskrzj:"",			//  COV收款人组织机构代码		.trnmod.cipmod.cskrzj
								csfdz5:"",			//  COV收款非银行支付机构地址5		.trnmod.cipmod.csfdz5
								cskzjh:"",			//  COV收款人证件号码		.trnmod.cipmod.cskzjh
								cskrgj:"",			//  COV收款人常驻国家（地区）代码		.trnmod.cipmod.cskrgj
								cskeid:"",			//  COV收款人EID		.trnmod.cipmod.cskeid
								cskzjl:"",			//  COV收款人证件类型		.trnmod.cipmod.cskzjl
								cfkzjl:"",			//  COV付款人证件类型		.trnmod.cipmod.cfkzjl
								fqzyhh:"",			//  发起直接参与者行号		.trnmod.cipmod.fqzyhh
								jszyhh:"",			//  接收直接参与者行号		.trnmod.cipmod.jszyhh
								mxywbs:"",			//  明细业务总笔数		.trnmod.cipmod.mxywbs
								mxywje:"",			//  明细业务总金额		.trnmod.cipmod.mxywje
								mxywsh:"",			//  明细业务标识号		.trnmod.cipmod.mxywsh
							},
							ptsmod:{
								fecinf:{
									fecstm:"",			//  Stream of fee conditions of passed object		.trnmod.ptsmod.fecinf.fecstm
								},
							},
						},
						liaall:{
							limmod:{
								limpts:{
									wrklab:"",			//  Label		.liaall.limmod.limpts.wrklab
									othlab:"",			//  Label		.liaall.limmod.limpts.othlab
									othlabss:"",			//  Label		.liaall.limmod.limpts.othlabss
									wrk:{
										pts:new Pts().data,
									},
									oth:{
										pts:new Pts().data,
									},
									lsh:"",			//  合同流�'号		.liaall.limmod.limpts.lsh
									nonrevflg1:"",			//  Flag to Mark Non-revolving Limits		.liaall.limmod.limpts.nonrevflg1
									pfcod1:"",			//  合同流�'号		.liaall.limmod.limpts.pfcod1
									nonrevflg2:"",			//  Flag to Mark Non-revolving Limits		.liaall.limmod.limpts.nonrevflg2
									pfcod2:"",			//  合同流�'号		.liaall.limmod.limpts.pfcod2
								},
								wrkp:{
									ptsget:{
										sdamod:{
											dadsnd:"",			//  Drag  Drop Sender		.liaall.limmod.wrkp.ptsget.sdamod.dadsnd
											seainf:"",			//  		.liaall.limmod.wrkp.ptsget.sdamod.seainf
										},
									},
								},
								othp:{
									ptsget:{
										sdamod:{
											dadsnd:"",			//  Drag  Drop Sender		.liaall.limmod.othp.ptsget.sdamod.dadsnd
											seainf:"",			//  		.liaall.limmod.othp.ptsget.sdamod.seainf
										},
									},
								},
								ownref:"",			//  国结业务编号		.liaall.limmod.ownref
								comamt:"",			//  业务余额		.liaall.limmod.comamt
								ccvamt:"",			//  保证金余额		.liaall.limmod.ccvamt
								ecifno:"",			//  ECIFNO		.liaall.limmod.ecifno
							},
						},
						pageId: ""			// ctx的key
				}
    }
}