import Api from "~/service/Api"
import Pts from "../Common/Pts"

export default class Bttacc{
    constructor () {
        this.data = {
						bttp0:{
							ltdget:{
								sdamod:{
									dadsnd:"",			//  Drag  Drop Sender		.bttp0.ltdget.sdamod.dadsnd
									seainf:"",			//  		.bttp0.ltdget.sdamod.seainf
								},
							},
							ledget:{
								sdamod:{
									dadsnd:"",			//  Drag  Drop Sender		.bttp0.ledget.sdamod.dadsnd
									seainf:"",			//  		.bttp0.ledget.sdamod.seainf
								},
							},
							recget:{
								sdamod:{
									dadsnd:"",			//  Drag  Drop Sender		.bttp0.recget.sdamod.dadsnd
									seainf:"",			//  		.bttp0.recget.sdamod.seainf
								},
							},
							matp:{
								mattxtlab:"",			//  Label for MATTXT		.bttp0.matp.mattxtlab
							},
							aammod:{
								addamtflg:"",			//  Add. Amount		.bttp0.aammod.addamtflg
							},
						},
						ltdgrp:{
							rec:{
								ownref:"",			//  Transfer Reference		.ltdgrp.rec.ownref
							},
						},
						ledgrp:{
							rec:{
								ownref:"",			//  L/C Reference		.ledgrp.rec.ownref
							},
						},
						btdgrp:{
							rec:{
								ownref:"",			//  Doc. Set Reference		.btdgrp.rec.ownref
								doctypcod:"",			//  Document Type		.btdgrp.rec.doctypcod
								matdat:"",			//  Maturity Date		.btdgrp.rec.matdat
								rcvdatbe2:"",			//  Received on 2nd Ben.		.btdgrp.rec.rcvdatbe2
								rcvdatbe1:"",			//  Received on 1st Ben.		.btdgrp.rec.rcvdatbe1
								docsta:"",			//  Document Set Status		.btdgrp.rec.docsta
								nam:"",			//  Name of Bill Contract		.btdgrp.rec.nam
							},
							cbs:{
								max:{
									cur:"",			//  Document Amount		.btdgrp.cbs.max.cur
									amt:"",			//  Document Amount		.btdgrp.cbs.max.amt
								},
								opn1:{
									cur:"",			//  Open Amount		.btdgrp.cbs.opn1.cur
									amt:"",			//  Balance		.btdgrp.cbs.opn1.amt
								},
							},
							be1:{
								pts:new Pts().data,
							},
							be2:{
								pts:new Pts().data,
							},
						},
						trnmod:{
							swiadd:{
								strinf:"",			//  Change Amount		.trnmod.swiadd.strinf
							},
							trndoc:{
								dtamod:{
									dtatagm03:"",			//  Courier Service Name		.trnmod.trndoc.dtamod.dtatagm03
								},
								dtemod:{
									dtetagm06:"",			//  Information about Confirmation Instruction		.trnmod.trndoc.dtemod.dtetagm06
									dtetagm07:"",			//  Notes from Advising Bank		.trnmod.trndoc.dtemod.dtetagm07
									dtetagm08:"",			//  Fee of Advising Bank		.trnmod.trndoc.dtemod.dtetagm08
									dtetagm53typ:"",			//  Document Sending Type		.trnmod.trndoc.dtemod.dtetagm53typ
									dtetagm53nam:"",			//  Courier Name		.trnmod.trndoc.dtemod.dtetagm53nam
									dtetagm53num:"",			//  Courier Number		.trnmod.trndoc.dtemod.dtetagm53num
								},
								advlabel:"",			//  ADVLABEL		.trnmod.trndoc.advlabel
								amdnam:"",			//  AMDNAM		.trnmod.trndoc.amdnam
								advdoc:"",			//  国内证通知书		.trnmod.trndoc.advdoc
								advnam:"",			//  国内证落款		.trnmod.trndoc.advnam
								amdapl:"",			//  修改申请人名称		.trnmod.trndoc.amdapl
								doclbl:"",			//  Lable for CONDOCSTM		.trnmod.trndoc.doclbl
								doctrestm:"",			//  Document tree		.trnmod.trndoc.doctrestm
								shwinc:"",			//  Show Incoming Messages		.trnmod.trndoc.shwinc
								shwout:"",			//  Show Outgoing Messages		.trnmod.trndoc.shwout
								condocstm:"",			//  Connected Documents		.trnmod.trndoc.condocstm
								rcvatt:{
									seainf:"",			//  		.trnmod.trndoc.rcvatt.seainf
								},
								filrecv:"",			//  File Receiver		.trnmod.trndoc.filrecv
								doceot: [],
							},
						},
						setmod:{
							doccur:"",			//  减少后的结算金额		.setmod.doccur
							docamt:"",			//  document amount		.setmod.docamt
							docamttyplab:"",			//  settled amount description as label		.setmod.docamttyplab
							retmsg:"",			//  Label showing Retry overflow condition		.setmod.retmsg
							ref:"",			//  our reference		.setmod.ref
							dspflg:"",			//  Type of settlement		.setmod.dspflg
							xreflg:"",			//  Recalculate Rates		.setmod.xreflg
							setglg:{
								labdspflg:"",			//  Label for Type of Settlement		.setmod.setglg.labdspflg
							},setfog:{
								setfol:[]
							},
							setfeg:{
								setfel:[]
							},
							zmqacclab:"",			//  主�'�号LABEL		.setmod.zmqacclab
							zmqacc:"",			//  自�'�区主�'�号		.setmod.zmqacc
							redamt:"",			//  减少的金额		.setmod.redamt
							setamt:"",			//  Reduced Amount to settle		.setmod.setamt
							redamttxt:"",			//  注释		.setmod.redamttxt
							glemod:{
								gleshwstm:"",			//  Booking stream to Display		.setmod.glemod.gleshwstm
							},
						},
						liaall:{
							misamt:"",			//  Amount not yet assigned		.liaall.misamt
							concur:"",			//  External Booking Amount		.liaall.concur
							outpct:"",			//  Sight Amount Percentage		.liaall.outpct
							outamt:"",			//  Sight Amount		.liaall.outamt
							exttotoldamt:"",			//  Old Amount booked externally		.liaall.exttotoldamt
							exttotamt:"",			//  Total booking amount external assinged		.liaall.exttotamt
							liaccv:{
								newamt:"",			//  合同金额		.liaall.liaccv.newamt
								concur:"",			//  应付保证金金额		.liaall.liaccv.concur
								totcovamt:"",			//  金额总和		.liaall.liaccv.totcovamt
								newresamt:"",			//  Reserved Amount		.liaall.liaccv.newresamt
								addinf:"",			//  Additional Information 		.liaall.liaccv.addinf
								cshpct:"",			//  保证金应收比例		.liaall.liaccv.cshpct
								relcshpct:"",			//  保证金实收比例		.liaall.liaccv.relcshpct
								gleflg:"",			//  Create gle flag		.liaall.liaccv.gleflg
								chgcurflg:"",			//  Change currency flag		.liaall.liaccv.chgcurflg
								pctresamt:"",			//  reserve amount based percent		.liaall.liaccv.pctresamt
							},
						},
						mtabut:{
							coninf:{
								oitinf:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitinf.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitinf.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitinf.oit.inflev
									},
								},
								oitset:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitset.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitset.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitset.oit.inflev
									},
								},
								conexedat:"",			//  执行日期		.mtabut.coninf.conexedat
								usr:{
									extkey:"",			//  User ID		.mtabut.coninf.usr.extkey
								},
								contag72his:"",			//  Historic content of TAG 72		.mtabut.coninf.contag72his
								contag72:"",			//  Current content of TAG 72		.mtabut.coninf.contag72
								contag79his:"",			//  Historic content of TAG 79		.mtabut.coninf.contag79his
								contag79:"",			//  Current content of TAG 79		.mtabut.coninf.contag79
							},
						},
						pageId: ""			// ctx的key
				}
    }
}