import Utils from "~/utils"

/**
* Detdrv Check规则
*/
let checkObj = {
    "bfdgrp.prb.pts.extkey"                      :null,
    "bfdgrp.cbs.max.amt"                      :null,
    "bfdgrp.iss.pts.nam"                      :null,
    "bfdgrp.rmb.adrelc"                      :null,
    "bfdgrp.blk.docdis"                      :null,
    "bfdgrp.oth.pts.extkey"                      :null,
    "dedgrp.beb.pts.adrblk"                      :null,
    "bfdgrp.rec.orddat"                      :null,
    "bfdgrp.oth.pts.adrblk"                      :null,
    "bfdgrp.rmb.namelc"                      :null,
    "bfdgrp.rmb.pts.extkey"                      :null,
    "bfdgrp.prb.pts.nam"                      :null,
    "bfdgrp.blk.intdis"                      :null,
    "bfdgrp.acb.pts.extkey"                      :null,
    "bfdgrp.rec.docprbrol"                      :null,
    "dedgrp.beb.pts.extkey"                      :null,
    "bfdgrp.rec.invtyp"                      :null,
    "bfdgrp.acb.pts.adrblk"                      :null,
    "dedgrp.beb.namelc"                      :null,
    "bfdgrp.prb.pts.bankno"                      :null,
    "bfdgrp.prb.pts.dizhii"                      :null,
    "bfdgrp.rmb.pts.adrblk"                      :null,
    "bfdgrp.rec.expmno"                      :null,
    "bfdgrp.rec.matdat"                      :null,
    "bfdgrp.apl.pts.nam"                      :null,
    "bfdgrp.acb.adrelc"                      :null,
    "bfdgrp.oth.namelc"                      :null,
    "dedgrp.beb.adrelc"                      :null,
    "bfdgrp.rec.rcvdat"                      :null,
    "bfdgrp.acb.namelc"                      :null,
    "bfdgrp.rec.doctypcod"                      :null,
    "bfdgrp.prb.pts.jigomc"                      :null,
    "bfdgrp.oth.adrelc"                      :null,
}

for (const key in checkObj) {
    if (Object.hasOwnProperty.call(checkObj, key)) {
        checkObj[key] = checkObj[key] ? checkObj[key] : Utils.reflectCheck(key)
    }
}
export default checkObj

