import Api from "~/service/Api"
import Pts from "../Common/Pts"

export default class Detsel{
    constructor () {
        this.data = {
						selbut:{
							dspamenbr:"",			//  Display No of amendments		.selbut.dspamenbr
							dsputlnbr:"",			//  Display No. of received docs.		.selbut.dsputlnbr
							dspclsdat:"",			//  Label Closed		.selbut.dspclsdat
							dsppndram:"",			//  Display Number of Req. of Amendment		.selbut.dsppndram
							sptpenlab:"",			//  Label showing pending items stored for contract		.selbut.sptpenlab
							trnpenlab:"",			//  Label showing stored uncommited transactions for contract		.selbut.trnpenlab
							trnpenlab_descr:"",			//  Description for TRNPENLAB		.selbut.trnpenlab_descr
							dspadvnbr:"",			//  Display No of advised sets		.selbut.dspadvnbr
							sptpenlab_descr:"",			//  Description for SPTPENLAB		.selbut.sptpenlab_descr
						},
						dsprevnbr:"",			//  Revolving Done		.dsprevnbr
						dsppcrsta:"",			//  Display LC against Packing Credit		.dsppcrsta
						dsptrdclsdat:"",			//  Display Closing Date of Packing Credit		.dsptrdclsdat
						dspbfdclsdat:"",			//  Display Closing Date of Document Set		.dspbfdclsdat
						dspbpdclsdat:"",			//  Display Closing Date of Advance		.dspbpdclsdat
						dspdtdclsdat:"",			//  Diplay Closing Date of Transfer		.dspdtdclsdat
						dspmtdclsdat:"",			//  Display Closing Date of Docs of Transfer		.dspmtdclsdat
						dspprenbr:"",			//  Display Number of Transfer Documents		.dspprenbr
						dspltamenbr:"",			//  Display LT Amendments		.dspltamenbr
						sptpenltbt_descr:"",			//  Description for SPTPENLTBT		.sptpenltbt_descr
						sptpentrbp_descr:"",			//  Description for SPTPENTRBP		.sptpentrbp_descr
						trnpenltbt_descr:"",			//  Description for TRNPENLTBT		.trnpenltbt_descr
						trnpentrbp_descr:"",			//  Description for TRNPENTRBP		.trnpentrbp_descr
						sptpenltbt:"",			//  Label showing pending items stored for LT/BT		.sptpenltbt
						sptpentrbp:"",			//  Label showing pending items stored for TR/BP		.sptpentrbp
						trnpenltbt:"",			//  Label showing stored uncommited transactions for LT/BT		.trnpenltbt
						trnpentrbp:"",			//  Label showing stored uncommited transactions for TR/BP		.trnpentrbp
						dedgrp:{
							rec:{
								ownref:"",			//  信用证编号		.dedgrp.rec.ownref
								nam:"",			//  Externally Displayed Name to Identify the Contract		.dedgrp.rec.nam
								opndat:"",			//  开证日期		.dedgrp.rec.opndat
								shpdat:"",			//  Shipment Date		.dedgrp.rec.shpdat
								expdat:"",			//  最迟交单日期/交单地		.dedgrp.rec.expdat
								expplc:"",			//  最迟交单日期/交单地		.dedgrp.rec.expplc
								avbby:"",			//  兑付方式		.dedgrp.rec.avbby
								lcrtyp:"",			//  信用证类型		.dedgrp.rec.lcrtyp
								kzref:"",			//  信用证编号		.dedgrp.rec.kzref
							},
							cbs:{
								nom1:{
									cur:"",			//  信用证金额		.dedgrp.cbs.nom1.cur
									amt:"",			//  Balance		.dedgrp.cbs.nom1.amt
								},
								opn1:{
									cur:"",			//  信用证余额		.dedgrp.cbs.opn1.cur
									amt:"",			//  Balance		.dedgrp.cbs.opn1.amt
								},
							},
							ben:{
								pts:new Pts().data,
							},
							apl:{
								pts:new Pts().data,
							},
							avbnam:"",			//  指定银行		.dedgrp.avbnam
							iss:{
								pts:new Pts().data,
							},
						},
						clsflg:"",			//  Show closed Contracts		.clsflg
						recget:{
							sdamod:{
								dadsnd:"",			//  Drag  Drop Sender		.recget.sdamod.dadsnd
								seainf:"",			//  		.recget.sdamod.seainf
							},
						},
						bfdgrp:{
							rec:{
								ownref:"",			//  单据业务编号		.bfdgrp.rec.ownref
								nam:"",			//  Externally Displayed Name to Identify the Contract		.bfdgrp.rec.nam
								doctypcod:"",			//  单据类型		.bfdgrp.rec.doctypcod
								matdat:"",			//  Maturity Date		.bfdgrp.rec.matdat
								orddat:"",			//  远期单据到期日		.bfdgrp.rec.orddat
								rcvdat:"",			//  到单日期		.bfdgrp.rec.rcvdat
								predat:"",			//  Presentation Date		.bfdgrp.rec.predat
								docsta:"",			//  单据状态		.bfdgrp.rec.docsta
							},
							cbs:{
								max:{
									cur:"",			//  单据金额		.bfdgrp.cbs.max.cur
									amt:"",			//  Balance		.bfdgrp.cbs.max.amt
								},
								opn1:{
									cur:"",			//  单据余额		.bfdgrp.cbs.opn1.cur
									amt:"",			//  Balance		.bfdgrp.cbs.opn1.amt
								},
							},
							prb:{
								pts:new Pts().data,
							},
							iss:{
								pts:new Pts().data,
							},
							apl:{
								pts:new Pts().data,
							},
						},
						bfdget:{
							sdamod:{
								dadsnd:"",			//  Drag  Drop Sender		.bfdget.sdamod.dadsnd
								seainf:"",			//  		.bfdget.sdamod.seainf
							},
							clsflg:"",			//  which contracts to show		.bfdget.clsflg
						},
						mtdgrp:{
							rec:{
								ownref:"",			//  单据业务编号		.mtdgrp.rec.ownref
								nam:"",			//  Name of Bill Contract		.mtdgrp.rec.nam
								doctypcod:"",			//  单据类型		.mtdgrp.rec.doctypcod
								rcvdatbe2:"",			//  远期单据到期日		.mtdgrp.rec.rcvdatbe2
								docsta:"",			//  单据状态		.mtdgrp.rec.docsta
								matdat:"",			//  Maturity Date		.mtdgrp.rec.matdat
							},
							cbs:{
								max:{
									cur:"",			//  单据金额		.mtdgrp.cbs.max.cur
									amt:"",			//  单据金额		.mtdgrp.cbs.max.amt
								},
								opn1:{
									cur:"",			//  单据余额		.mtdgrp.cbs.opn1.cur
									amt:"",			//  Balance		.mtdgrp.cbs.opn1.amt
								},
							},
							be1:{
								pts:new Pts().data,
							},
							be2:{
								pts:new Pts().data,
							},
						},
						mtdget:{
							sdamod:{
								dadsnd:"",			//  Drag  Drop Sender		.mtdget.sdamod.dadsnd
								seainf:"",			//  		.mtdget.sdamod.seainf
							},
							clsflg:"",			//  which contracts to show		.mtdget.clsflg
						},
						bppnttyp:"",			//  业务合同		.bppnttyp
						bpdgrp:{
							rec:{
								ownref:"",			//  融资业务编号		.bpdgrp.rec.ownref
								nam:"",			//  Externally Displayed Name to Identify the Contract		.bpdgrp.rec.nam
								opndat:"",			//  起息日期		.bpdgrp.rec.opndat
								matdat:"",			//  Maturity Date		.bpdgrp.rec.matdat
								fintyp:"",			//  融资类型		.bpdgrp.rec.fintyp
								finact:"",			//  融资帐号		.bpdgrp.rec.finact
							},
							cbs:{
								max:{
									cur:"",			//  融资金额		.bpdgrp.cbs.max.cur
									amt:"",			//  Balance		.bpdgrp.cbs.max.amt
								},
								opn1:{
									cur:"",			//  押汇余额		.bpdgrp.cbs.opn1.cur
									amt:"",			//  Balance		.bpdgrp.cbs.opn1.amt
								},
							},
							fia:{
								pts:new Pts().data,
							},
						},
						bpdget:{
							clsflg:"",			//  which contracts to show		.bpdget.clsflg
							sdamod:{
								dadsnd:"",			//  Drag  Drop Sender		.bpdget.sdamod.dadsnd
								seainf:"",			//  		.bpdget.sdamod.seainf
							},
						},
						dtdgrp:{
							rec:{
								ownref:"",			//  Transfer Reference		.dtdgrp.rec.ownref
								nam:"",			//  Externally Displayed Name to Identify the Contract		.dtdgrp.rec.nam
								avbby:"",			//  Available by		.dtdgrp.rec.avbby
								shpdat:"",			//  Shipment Date		.dtdgrp.rec.shpdat
								opndat:"",			//  Date Issued/Form		.dtdgrp.rec.opndat
								lcrtyp:"",			//  Date Issued/Form		.dtdgrp.rec.lcrtyp
								expdat:"",			//  Date / Place of Expiry		.dtdgrp.rec.expdat
								expplc:"",			//  Date / Place of Expiry		.dtdgrp.rec.expplc
							},
							cbs:{
								nom1:{
									cur:"",			//  Transfer L/C Amount		.dtdgrp.cbs.nom1.cur
									amt:"",			//  Balance		.dtdgrp.cbs.nom1.amt
								},
								opn1:{
									cur:"",			//  信用证余额		.dtdgrp.cbs.opn1.cur
									amt:"",			//  Balance		.dtdgrp.cbs.opn1.amt
								},
							},
							avt:{
								pts:new Pts().data,
							},
							be1:{
								pts:new Pts().data,
							},
							be2:{
								pts:new Pts().data,
							},
							adt:{
								pts:new Pts().data,
							},
						},
						dtdget:{
							clsflg:"",			//  which contracts to show		.dtdget.clsflg
							sdamod:{
								dadsnd:"",			//  Drag  Drop Sender		.dtdget.sdamod.dadsnd
								seainf:"",			//  		.dtdget.sdamod.seainf
							},
						},
						trpnttyp:"",			//  业务合同		.trpnttyp
						trdgrp:{
							rec:{
								ownref:"",			//  融资业务编号		.trdgrp.rec.ownref
								nam:"",			//  Name of Loan Contract		.trdgrp.rec.nam
								pctfin:"",			//  融资百分比		.trdgrp.rec.pctfin
								fintyp:"",			//  融资类型		.trdgrp.rec.fintyp
								matdat:"",			//  Maturity Date		.trdgrp.rec.matdat
								stttendat:"",			//  Start Date Tenor		.trdgrp.rec.stttendat
							},
							cbs:{
								max:{
									cur:"",			//  押汇金额		.trdgrp.cbs.max.cur
									amt:"",			//  押汇金额		.trdgrp.cbs.max.amt
								},
								opn1:{
									cur:"",			//  信用证余额		.trdgrp.cbs.opn1.cur
									amt:"",			//  Balance		.trdgrp.cbs.opn1.amt
								},
							},
							fip:{
								pts:new Pts().data,
							},
						},
						trdget:{
							clsflg:"",			//  which contracts to show		.trdget.clsflg
							sdamod:{
								dadsnd:"",			//  Drag  Drop Sender		.trdget.sdamod.dadsnd
								seainf:"",			//  		.trdget.sdamod.seainf
							},
						},
						zcdat:"",			//  最迟装运日期\\最迟服务提供日		.zcdat
						cnftxt:"",			//  Confirmation text		.cnftxt
						matbep:{
							mattxtlab:"",			//  Label for MATTXT		.matbep.mattxtlab
						},
						aamdtd:{
							addamtflg:"",			//  Add. Amount		.aamdtd.addamtflg
						},
						matbtp:{
							mattxtlab:"",			//  Label for MATTXT		.matbtp.mattxtlab
						},
						fpdgrp:{
							rec:{
								perint:"",			//  Percentage 		.fpdgrp.rec.perint
								rdsflg:"",			//  Re-Discounting?		.fpdgrp.rec.rdsflg
								silflg:"",			//  Un-Disclosed?		.fpdgrp.rec.silflg
								funflg:"",			//  Funded?		.fpdgrp.rec.funflg
								opndatlc:"",			//  Date L/C Opened/Issued		.fpdgrp.rec.opndatlc
								expdatlc:"",			//  LC Date of Expire		.fpdgrp.rec.expdatlc
								opndat:"",			//  Opened on		.fpdgrp.rec.opndat
								expdat:"",			//  Forfaiting Agreement Date of Expiry		.fpdgrp.rec.expdat
								valdat:"",			//  This Purchase Offer is Valid until		.fpdgrp.rec.valdat
								ownref:"",			//  Reference		.fpdgrp.rec.ownref
								nam:"",			//  Externally Displayed Name to Identify the Contract		.fpdgrp.rec.nam
							},
							sel:{
								pts:new Pts().data,
							},
							cbs:{
								max:{
									cur:"",			//  Agree to Purchase		.fpdgrp.cbs.max.cur
									amt:"",			//  Balance		.fpdgrp.cbs.max.amt
								},
								opn1:{
									cur:"",			//  信用证余额		.fpdgrp.cbs.opn1.cur
									amt:"",			//  Balance		.fpdgrp.cbs.opn1.amt
								},
								sld:{
									cur:"",			//  Sold or Reserved		.fpdgrp.cbs.sld.cur
									amt:"",			//  Balance		.fpdgrp.cbs.sld.amt
								},
							},
							inv:{
								pts:new Pts().data,
							},
						},
						fpdget:{
							clsflg:"",			//  which contracts to show		.fpdget.clsflg
							sdamod:{
								dadsnd:"",			//  Drag  Drop Sender		.fpdget.sdamod.dadsnd
								seainf:"",			//  		.fpdget.sdamod.seainf
							},
						},
						cfgfil:{
							bitmap:"",			//  Bitmap for folder		.cfgfil.bitmap
							regside1:"",			//  Regside		.cfgfil.regside1
							regside2:"",			//  Regside		.cfgfil.regside2
							regside3:"",			//  Regside		.cfgfil.regside3
							regside4:"",			//  Regside		.cfgfil.regside4
							regside5:"",			//  Regside		.cfgfil.regside5
							regside6:"",			//  Regside		.cfgfil.regside6
							regside7:"",			//  Regside		.cfgfil.regside7
							regside8:"",			//  Regside		.cfgfil.regside8
							regside9:"",			//  Regside		.cfgfil.regside9
							regside10:"",			//  Regside		.cfgfil.regside10
							regside11:"",			//  Regside		.cfgfil.regside11
							regside12:"",			//  Regside		.cfgfil.regside12
							subtxt1:"",			//  submenu text 1		.cfgfil.subtxt1
							subtxt2:"",			//  submenu text 2		.cfgfil.subtxt2
							subtxt3:"",			//  submenu text 3		.cfgfil.subtxt3
							subtxt4:"",			//  submenu text 4		.cfgfil.subtxt4
							subtxt5:"",			//  submenu text 5		.cfgfil.subtxt5
							subtxt6:"",			//  submenu text 6		.cfgfil.subtxt6
							subtxt7:"",			//  submenu text 7		.cfgfil.subtxt7
							subtxt8:"",			//  submenu text 8		.cfgfil.subtxt8
							subtxt9:"",			//  submenu text 9		.cfgfil.subtxt9
							subtxt10:"",			//  submenu text 10		.cfgfil.subtxt10
							subtxt11:"",			//  submenu text 11		.cfgfil.subtxt11
							regtxt1:"",			//  Register text 1		.cfgfil.regtxt1
							regtxt2:"",			//  Register text 2		.cfgfil.regtxt2
							regtxt3:"",			//  Register text 3		.cfgfil.regtxt3
							regtxt4:"",			//  Register text 4		.cfgfil.regtxt4
							regtxt5:"",			//  Register text 5		.cfgfil.regtxt5
							regtxt6:"",			//  Register text 6		.cfgfil.regtxt6
							regtxt7:"",			//  Register text 7		.cfgfil.regtxt7
							regtxt8:"",			//  Register text 8		.cfgfil.regtxt8
							regtxt9:"",			//  Register text 9		.cfgfil.regtxt9
							regtxt10:"",			//  Register text 10		.cfgfil.regtxt10
							regtxt11:"",			//  Register text 11		.cfgfil.regtxt11
							regtxt12:"",			//  Register text 12		.cfgfil.regtxt12
							hotsub1:"",			//  hotspot submenu 1		.cfgfil.hotsub1
							hotsub2:"",			//  hotspot submenu 1		.cfgfil.hotsub2
							hotsub3:"",			//  hotspot submenu 1		.cfgfil.hotsub3
							hotsub4:"",			//  hotspot submenu 1		.cfgfil.hotsub4
							hotsub5:"",			//  hotspot submenu 1		.cfgfil.hotsub5
							hotsub6:"",			//  hotspot submenu 1		.cfgfil.hotsub6
							hotsub7:"",			//  hotspot submenu 1		.cfgfil.hotsub7
							hotsub8:"",			//  hotspot submenu 1		.cfgfil.hotsub8
							hotsub9:"",			//  hotspot submenu 1		.cfgfil.hotsub9
							hotsub10:"",			//  hotspot submenu 1		.cfgfil.hotsub10
							hotsub11:"",			//  hotspot submenu 1		.cfgfil.hotsub11
							hotreg1:"",			//  hotspot reg1		.cfgfil.hotreg1
							hotreg2:"",			//  hotspot reg2		.cfgfil.hotreg2
							hotreg3:"",			//  hotspot reg3		.cfgfil.hotreg3
							hotreg4:"",			//  hotspot reg4		.cfgfil.hotreg4
							hotreg5:"",			//  hotspot reg5		.cfgfil.hotreg5
							hotreg6:"",			//  hotspot reg6		.cfgfil.hotreg6
							hotreg7:"",			//  hotspot reg7		.cfgfil.hotreg7
							hotreg8:"",			//  hotspot reg8		.cfgfil.hotreg8
							hotreg9:"",			//  hotspot reg9		.cfgfil.hotreg9
							hotreg10:"",			//  hotspot reg10		.cfgfil.hotreg10
							hotreg11:"",			//  hotspot reg11		.cfgfil.hotreg11
							hotreg12:"",			//  hotspot reg12		.cfgfil.hotreg12
							subtrn1:"",			//  Submenu trn 1		.cfgfil.subtrn1
							subtrn2:"",			//  Submenu trn 2		.cfgfil.subtrn2
							subtrn3:"",			//  Submenu trn 3		.cfgfil.subtrn3
							subtrn4:"",			//  Submenu trn 4		.cfgfil.subtrn4
							subtrn5:"",			//  Submenu trn 5		.cfgfil.subtrn5
							subtrn6:"",			//  Submenu trn 6		.cfgfil.subtrn6
							subtrn7:"",			//  Submenu trn 7		.cfgfil.subtrn7
							subtrn8:"",			//  Submenu trn 8		.cfgfil.subtrn8
							subtrn9:"",			//  Submenu trn 9		.cfgfil.subtrn9
							subtrn10:"",			//  Submenu trn 10		.cfgfil.subtrn10
							subtrn11:"",			//  Submenu trn 11		.cfgfil.subtrn11
						},
						dfdgrp:{
							rec:{
								ownref:"",			//  代付业务编号		.dfdgrp.rec.ownref
								nam:"",			//  Name of Loan Contract		.dfdgrp.rec.nam
								opndat:"",			//  代付日期		.dfdgrp.rec.opndat
								stttendat:"",			//  代付起始日		.dfdgrp.rec.stttendat
								matdat:"",			//  Maturity Date		.dfdgrp.rec.matdat
								fintyp:"",			//  Type		.dfdgrp.rec.fintyp
							},
							cbs:{
								max:{
									amt:"",			//  代付本金		.dfdgrp.cbs.max.amt
									cur:"",			//  代付本金		.dfdgrp.cbs.max.cur
								},
								opn1:{
									cur:"",			//  代付金额		.dfdgrp.cbs.opn1.cur
									amt:"",			//  代付金额		.dfdgrp.cbs.opn1.amt
								},
							},
							apl:{
								pts:new Pts().data,
							},
							dff:{
								pts:new Pts().data,
							},
						},
						dfdget:{
							clsflg:"",			//  which contracts to show		.dfdget.clsflg
							sdamod:{
								seainf:"",			//  		.dfdget.sdamod.seainf
							},
						},
						pageId: ""			// ctx的key
				}
    }
}